{
	"columns": [
		{
			"width": 63,
			"enterable": 1,
			"field": "sor_sales_order_id",
			"name": "Myyntitilaus",
			"footerValue": "/O2"
		},
		{
			"field": "sor_row_number",
			"width": 26,
			"name": "Rivi",
			"enterable": 1
		},
		{
			"field": "sor_production_lot",
			"width": 64,
			"name": "Valmistuserä",
			"enterable": 1
		},
		{
			"headerBackColor": -2,
			"width": 79,
			"lineBackColor": -2,
			"field": "so_company_id",
			"lineForeColor": -2,
			"name": "Asiakas",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 41,
			"lineBackColor": -2,
			"field": "so_employee_id",
			"lineForeColor": -2,
			"name": "Myyjä",
			"headerForeColor": -2
		},
		{
			"width": 126,
			"enterable": 1,
			"field": "sor_product_id",
			"name": "Tuote",
			"footerValue": "/B1,==BreakValue: yht"
		},
		{
			"headerBackColor": -2,
			"width": 68,
			"lineBackColor": -2,
			"field": "pr_work__position_num_id",
			"lineForeColor": -2,
			"name": "Työ/Pos. nro",
			"headerForeColor": -2
		},
		{
			"headerBackColor": -2,
			"width": 69,
			"lineBackColor": -2,
			"field": "pr_product_group",
			"lineForeColor": -2,
			"name": "Tuoteryhmä",
			"headerForeColor": -2
		},
		{
			"field": "sor_invoice_id",
			"width": 52,
			"name": "Lasku",
			"enterable": 1
		},
		{
			"field": "sor_dispatch_note_id",
			"width": 59,
			"name": "Lähetyslista",
			"enterable": 1
		},
		{
			"field": "sor_delivery_state",
			"width": 45,
			"name": "Toim. tila",
			"enterable": 1
		},
		{
			"width": 71,
			"enterable": 1,
			"field": "sor_waiting_for_delivery",
			"name": "Jäljellä määrä",
			"footerValue": "==Sum"
		},
		{
			"width": 96,
			"enterable": 1,
			"field": "sor_critical_start_difference",
			"name": "Kritt. alkupäivän ero",
			"footerValue": "==Sum"
		},
		{
			"field": "sor_critical_start_date",
			"width": 81,
			"name": "Kriittinen alkupv",
			"enterable": 1
		},
		{
			"field": "sor_delivered_date",
			"width": 68,
			"name": "Toimituspäivä",
			"enterable": 1
		},
		{
			"width": 81,
			"enterable": 1,
			"field": "sor_delivered_quantity",
			"name": "Toimitettu mrä",
			"footerValue": "==Sum"
		},
		{
			"width": 81,
			"enterable": 1,
			"field": "sor_ordered_amount",
			"name": "Tilattu",
			"footerValue": "==Sum"
		},
		{
			"field": "sor_unit",
			"width": 49,
			"name": "Yks.",
			"enterable": 1
		},
		{
			"field": "sor_delivery_date",
			"width": 85,
			"name": "Toim. pv",
			"enterable": 1
		},
		{
			"width": 75,
			"enterable": 1,
			"field": "sor_price__unit",
			"name": "á hinta",
			"footerValue": "==Sum"
		},
		{
			"width": 51,
			"enterable": 1,
			"field": "sor_discount_percentage",
			"name": "Ale %",
			"footerValue": "==Sum"
		},
		{
			"width": 39,
			"enterable": 1,
			"field": "sor_sales_price_total",
			"name": "Myyntihinta mrä",
			"footerValue": "==Sum"
		},
		{
			"field": "sor_explanation",
			"width": 85,
			"name": "Selitys",
			"enterable": 1
		},
		{
			"field": "sor_info",
			"width": 79,
			"name": "Lisätietoja",
			"enterable": 1
		},
		{
			"field": "sor_record_id",
			"width": 252,
			"name": "ID",
			"enterable": 1
		}
	],
	"options": {
		"manyField": "sor_kTbl",
		"gridName": "Lista",
		"type": "Output",
		"footerHeight": 1,
		"oneField": "sor_kTbl",
		"enterable": 1
	}
}